# Gerade
Date: 2013-01-07

## Class Gerade

- java.lang.Object
- - Gerade

    public class Gerade
    extends java.lang.Object

Speichert die Informationen über eine Gerade im Raum. Dazu werden Stütz- und Richtungsvektor der Geraden gespeichert. Für die Berechnung eines 3D-Bildes kann außerdem der Schnittpunkt mit der XY-Ebene(=Bildschirmebene) berechnet werden.

Version:
  1.0 vom 10.04.2011
Author:
  T. Schaller

### Constructor Summary

Constructors
Constructor and Description
`Gerade(Punkt p1, Punkt p2)` Erzeugt eine Gerade aus zwei Punkten.

### Method Summary

Methods
`Vektor` `getRichtungsvektor()` Liefert den Richtungsvektor der Gerade
`Punkt` `getSchnittpunktXYEbene()` Liefert den Schnittpunkt der Gerade mit der XY-Ebene (d.h. z-Koordinate = 0) Die Gerade, die bei der Berechnung vorkommen können nicht in der XY-Ebene liegen, da der Augenpunkt immer ein Punkt der Gerade ist und außerhalb der Ebene liegt.
`Punkt` `getStuetzpunkt()` Liefert den Stützpunkt der Gerade

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Gerade

    public Gerade(Punkt p1,
          Punkt p2)

Erzeugt eine Gerade aus zwei Punkten. Punkt1 wird als Stützpunkt, der Vektor von P1 nach P2 als Richtungsvektor benutzt.

Parameters:
  `p1` - 1. Punkt der Gerade
  `p2` - 2. Punkt der Gerade

### Method Detail

#### getRichtungsvektor

    public Vektor getRichtungsvektor()

Liefert den Richtungsvektor der Gerade

Returns:
  Richtungsvektor

#### getStuetzpunkt

    public Punkt getStuetzpunkt()

Liefert den Stützpunkt der Gerade

Returns:
  Stützpunkt

#### getSchnittpunktXYEbene

    public Punkt getSchnittpunktXYEbene()

Liefert den Schnittpunkt der Gerade mit der XY-Ebene (d.h. z-Koordinate = 0) Die Gerade, die bei der Berechnung vorkommen können nicht in der XY-Ebene liegen, da der Augenpunkt immer ein Punkt der Gerade ist und außerhalb der Ebene liegt.

Returns:
  Schnittpunkt mit der XY-Ebene, falls es diesen gibt; sonst null